package web;

import java.io.IOException;
import java.io.PrintWriter;

import javax.inject.Inject;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import simple.ParentClass;

@WebServlet("/simple")
public class SimpleServlet extends HttpServlet {

	@Inject
	ParentClass c;
	
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        resp.setContentType("text/plain");
        
        PrintWriter writer = resp.getWriter();
        writer.println(c.test(1111));
        writer.close();
    }

	
}
